메인 콘텐츠로 건너뛰기
GET
/
v1
/
external
/
notes
/
{noteGuid}
/
paragraphs
List Note Paragraphs
curl --request GET \
  --url https://api.tiro.ooo/v1/external/notes/{noteGuid}/paragraphs \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tiro.ooo/v1/external/notes/{noteGuid}/paragraphs"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tiro.ooo/v1/external/notes/{noteGuid}/paragraphs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "content": [
    {
      "uuid": "para-1",
      "locked": false,
      "transcribeLocale": "en_US",
      "transcript": {
        "type": "text/plain",
        "content": "Hello everyone..."
      },
      "translateLocale": "ko_KR",
      "translated": {
        "type": "text/plain",
        "content": "여러분 안녕하세요..."
      },
      "summaryLocale": "en_US",
      "summary": {
        "type": "text/markdown",
        "content": "- Greeting and agenda..."
      },
      "diarizedSegments": [
        {
          "content": "안녕하세요, 회의 시작하겠습니다.",
          "speaker": {
            "label": "SPEAKER_0",
            "personName": "Alice Kim"
          }
        }
      ],
      "timeFrom": "2025-07-20T10:00:10Z",
      "timeTo": "2025-07-20T10:00:25Z"
    }
  ],
  "nextCursor": "opaque-cursor-string"
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}
{
"error": {
"code": 404018,
"errorType": "not_found",
"message": "No team found for user #217",
"detail": null
}
}

인증

Authorization
string
header
필수

API key in format {id}.{secret}

경로 매개변수

noteGuid
string
필수

Note GUID

쿼리 매개변수

cursor
string

Cursor for the next page

size
integer
기본값:100

Page size (default 100)

필수 범위: 1 <= x <= 1000

응답

List of paragraphs

content
object[]
필수

Array of items for current page

nextCursor
string | null
필수

Cursor for next page, null if last page

예시:

"opaque-cursor-string"